Mailinglist Archive: opensuse (3349 mails)

< Previous Next >
SuSE 9.3 binary to run on 8.2 server
  • From: Alfredo Cole <alfredo@xxxxxxxx>
  • Date: Tue, 10 May 2005 07:35:12 -0600
  • Message-id: <200505100735.12266.alfredo@xxxxxxxx>
Hi:

I am developing an application on my system running SuSE 9.3. This app
has to run on a system that has 8.2 installed. It complaints about
needing glibc 2.3.4, so I now have two choices:

1. Go back to 8.2
2. Try to figure out a way to include glibc 2.3.4 shared in the rpm for
my app.

I tried compiling glibc (libc.a) statically into the project, but the
linker warns that the shared library must be present in the destination
system. How to solve this without messing up the 8.2 system? Any
suggestions would be appreciated.

Thank you and regards.

--
Alfredo J. Cole
Grupo ACyC

< Previous Next >
This Thread
  • No further messages